Bug 164099 - /var/cache/.security.db group owned incorrectly after su
/var/cache/.security.db group owned incorrectly after su
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pam_ccreds (Show other bugs)
12
All Linux
medium Severity low
: ---
: ---
Assigned To: Avesh Agarwal
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-24 19:04 EDT by W. Michael Petullo
Modified: 2010-12-05 02:18 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:18:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2005-07-24 19:04:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.8) Gecko/20050513 Epiphany/1.6.3

Description of problem:
It is possible to cause /var/cache/.security.db to be created in such a way that its group ownership is a regular user.

Version-Release number of selected component (if applicable):
pam_ccreds-1-7

How reproducible:
Always

Steps to Reproduce:
1.  Log in as a regular user (A).
2.  Log in to another terminal (B) as root.
3.  Configure the system to use pam_ccreds.
4.  Using login A, su to another user.

Actual Results:  Pam_ccreds will create /var/cache/.security.db.  However, it will be group-owned by the regular user (A) not root (B).

Expected Results:  /var/cache/.security.db should be owned by root:root.

Additional info:
Comment 1 Tomas Mraz 2005-09-27 17:35:25 EDT
As the file is not readable and writable by group I think the severity of this
issue is really low.
Comment 2 W. Michael Petullo 2008-02-15 04:39:21 EST
This bug still exists in pam_ccreds-7-1.fc9.ppc. I have tried to submit a bug in
pam_ccred's upstream Bugzilla (PADL), but there is no pam_ccreds project in
their Bugzilla. I have requested that PADL add a pam_ccreds project to their
Bugzilla so that I may file a report.

See http://bugzilla.padl.com/show_bug.cgi?id=227.
Comment 3 Tomas Mraz 2008-04-03 11:14:13 EDT
My solution would be to create empty .security.db as a %ghost file in the rpm
and if it doesn't exist when %post is run it would be created by:
cc_test -update any root '' /var/cache/.security.db 

Do you think that it would be OK?

Note that calling setresuid() in pam_sm_authenticate is undesirable as this
breaks multithreaded apps.
Comment 4 Bug Zapper 2008-05-13 22:01:08 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 18:02:30 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 12:51:19 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Bug Zapper 2009-11-16 02:49:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-11-04 08:18:38 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-12-05 02:18:56 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.